package egovframework.service.impl;

import egovframework.rte.fdl.cmmn.EgovAbstractServiceImpl;
import egovframework.service.MainService;
import egovframework.service.mapper.MainMapper;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@RequiredArgsConstructor
@Service
public class MainServiceImpl extends EgovAbstractServiceImpl implements MainService {

    private final MainMapper mainMapper;

    @Override
    public List<Map<String, Object>> getPossiblePopupList() {
        return this.mainMapper.getPossiblePopupList();
    }

    @Override
    public Map<String, Object> getPopupObject(Map<String, Object> paramMap) {
        return this.mainMapper.getPopupObject(paramMap);
    }

}
